import Foundation

public enum MessageEncryption: Int {
    case none = 0
    case decrypted = 1
    case decryptionFailed = 2
    case notForThisDevice = 3
    
    func message() -> String? {
        switch self {
        case .none, .decrypted:
            return nil
        case .decryptionFailed:
            return "Message decryption failed!"
        case .notForThisDevice:
            return "Message was not encrypted for this device"
        }
    }
}
    
